<?php
namespace App\Controller;

use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;

use App\Entity\Donnee;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Annotation\Route;

class DonneeNbVentesController
{
    public function __construct() {}

    public function __invoke(Array $data)
    {
        $nbVentes = array();
        foreach ($data as $donnee) {
            $date = $donnee->getDateMutation()->format("m/Y"); /*d/m/Y ou m/Y ou Y*/

            if(!array_key_exists($date, $nbVentes)){
                $nbVentes[$date] = 0;
            }
            $nbVentes[$date] += 1;
        }

        return new JsonResponse(array("data"=>$nbVentes));
    }
}
